Nextcloud 20 update failure

I’ve noticed that, upgrades to Nextcloud 20.0 from 19.x seem to be failing with:

[lots of good stuff]
[…]
Checking for update of app “accessibility” in appstore
An error occurred.

when running the updater, post-update from cPanel. Looking around the intergithubwebnets suggest that others have been having this or similar trouble with their non-cPanel installs, yet the suggestions for fixing it don’t seem to work in the cPanel universe.

So - firstly, a ‘heads-up’ to those who might be tempted to update, and, secondly, a ping to see if anyone has had success or suggestions.

Hi Flip,

I tested out upgrading a clean install of Nextcoud from 19x to 20x, and I was unable to replicate this particular error. I did get one about an empty database table when restoring from a failed upgrade, but that was solved by dropping the empty table in question. Would you be able to submit a ticket to support@reclaimhosting.com so we can take a closer look and see if there’s anything else that may be impacting the update? Since this is third-party software, it may also make sense to reach out to the NextCloud forums as well, just to see if anyone’s faced a similar issue and/or found a solution in a cPanel environment.

Yes - checked there recently but nothing as of a few days back. Very interesting not replicable but not surprising I suppose. Others have ‘resolved’ this in non cPanel universe by enabling / disabling certain plugins. I’m wondering if my issues are due to it being upgraded thorugh various versions and configurations over the years in my case. Nevertheless, I suppose I have to do the multiple-hops-through our dedicated contact to send things to ‘support@’ so, I’ll try to figure it out myself first and get in touch with them once I become too frustrated :slight_smile: